Description

From Neil:

Location - Point that can be defined with one or more 'PositionPoint' in a given 'CoordinateSystem' - IEC
CIM.IEC61968.Common.Location

dir: String [0..1] - Cardinal (N, E, S, W), Intercardinal Directions (NE, SE, SW, NW), or Sec Intercardinal Directions (NNE, ENE, ESE,
SSE, SSW, WSW, WNW, NNW) - IEC CIM.IEC61968.Common.Location.direction

addr: StreetAddress [0..1] - Main address of the location - IEC CIM.IEC61968.Common.Location.mainAddress

PositionPoint - Set of spatial coordinates that determine a point, defined in the coordinate system specified in '‘CoordinateSystem' -
IEC CIM.IEC61968.Common.PositionPoint

elevation: String [0..1] - Z-coordinate (e.g., elevation or altitude) - IEC CIM.IEC61968.Common.PositionPoint.zPosition

latitude: String [0..1] - Y-coordinate (e.g., latitude) - IEC CIM.IEC61968.Common.PositionPoint.yPosition

longitude: String [0..1] - X-coordinate (e.g., longitude) - IEC CIM.IEC61968.Common.PositionPoint.xPosition

SegNum: Int [0..1] - Zero-relative sequence number of this point within a series of points - IEC
CIM.IEC61968.Common.PositionPoint.sequenceNumber

CoordinateSystem - Coordinate reference system (https:/epsg.org/) - IEC CIM.IEC61968.Common.CoordinateSystem
crsUrn: String [0..1] - A Uniform Resource Name (URN) for the coordinate reference system (CRS) used to define 'PositionPoints' -
IEC CIM.IEC61968.Common.CoordinateSystem.crsUrn

StreetAddress - General purpose street address information - IEC CIM.IEC61968.Common.StreetAddress
streetDetail: StreetDetail [0..1] - Street detail - IEC CIM.IEC61968.Common.StreetAddress.streetDetail
townDetail: TownDetail [0..1] - Town detail - IEC CIM.IEC61968.Common.StreetAddress.townDetalil

StreetDetail - Street details, in the context of address - IEC CIM.IEC61968.Common.StreetDetail

code: String [0..1] - (if applicable) Utilities often make use of external reference systems, such as those of the town-planner's
department or surveyor general's mapping system, that allocate global reference codes to streets. - IEC
CIM.IEC61968.Common.StreetDetail.code

name: String [0..1] - Name of the street - IEC CIM.IEC61968.Common.StreetDetail.name

number: String [0..1] - Designator of the specific location on the street - IEC CIM.IEC61968.Common.StreetDetail.number

prefix: String [0..1] - Prefix to the street name. (North, South, East, West, etc.) - IEC CIM.IEC61968.Common.StreetDetail.prefix
Suffix: String [0..1] - Suffix to the street name. (North, South, East, West, etc.) - IEC CIM.IEC61968.Common.StreetDetail.suffix

type: String [0..1] - Type of street. (street, circle, boulevard, avenue, road, drive, etc.) - IEC CIM.IEC61968.Common.StreetDetail.type

TownDetail - Town details, in the context of address

name: String [0..1] - Town name - IEC CIM.IEC61968.Common.TownDetail.name

section: String [0..1] - Town section - IEC CIM.IEC61968.Common.TownDetail.section

stateOrProvince: String [0..1] - Name of the state or province - IEC CIM.IEC61968.Common.TownDetail.stateOrProvince

ConnectivityNodeContainer - A base class for all objects that may contain connectivity nodes or topological nodes
connectivityNodes: ConnectivityNode - IEC CIM.IEC61970.Base.Core.ConnectivityNode

ConnectivityNode - Connectivity nodes are points where terminals of AC conducting equipment are connected together with zero
impedance.

terminals: Terminals - IEC CIM.IEC61970.Base.Core.Terminal

topologicalNodes: TopologicalNode - IEC CIM.IEC61970.Base.Topology.TopologicalNode
BusNameMarker - Used to apply user standard names to topology buses. Typically used for "bus/branch" case generation.
Associated with one or more terminals that are normally connected with the bus name.
topologicalNodes: TopologicalNode - IEC CIM.IEC61970.Base.Topology.TopologicalNode

TopologicalNode - For a detailed substation model a topological node is a set of connectivity nodes that, in the current network state,
are connected together through any type of closed switches, including jumpers. Topological nodes change as the current network
state changes (i.e., switches, breakers, etc. change state). For a planning model, switch statuses are not used to form topological
nodes. Instead they are manually created or deleted in a model builder tool. Topological nodes maintained this way are also called
"busses".

connectivityNodes: ConnectivityNode - IEC CIM.IEC61970.Base.Core.ConnectivityNode

topologicallsland: Topologicallsland - IEC CIM.IEC61970.Base.Topology.Topologicallsland

Topologicallsland - An electrically connected subset of the network. Topological islands can change as the current network state
changes: e.g. due to - disconnect switches or breakers change state in a SCADA/EMS
topologicallsland: Topologicallsland - IEC CIM.IEC61970.Base.Topology.Topologicallsland

Proposed Solution
Hold on for 2.3

History

#1 - 01/22/2025 02:50 PM - Owen Wu
- Proposed Solution updated

- Version set to 2.3

#2 - 01/22/2025 03:03 PM - Owen Wu

- Status changed from New to Triage

#3 - 02/05/2025 03:09 PM - Owen Wu

- Status changed from Triage to Accepted

#4 - 02/05/2025 03:09 PM - Owen Wu

- Status changed from Accepted to In Progress

#5 - 02/05/2025 03:09 PM - Owen Wu

- Status changed from In Progress to On Hold
